Skip to main content
`Ctrl`+`K`

# TSAdaptDSPSetFilter

Sets internal parameters corresponding to the named filter [SoderlindW06] [Soderlind03]

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptDSPSetFilter(TSAdapt adapt, const char name[])

Collective

## Input Parameters

- adapt - adaptive controller context

- name - filter name

## Options Database Key

- -ts_adapt_dsp_filter name - Sets predefined controller by name; use -help for a list of available controllers

Filter names:

- basic - similar to `TSADAPTBASIC` but with different criteria for step rejections.

- PI30, PI42, PI33, PI34 - PI controllers.

- PC11, PC47, PC36 - predictive controllers.

- H0211, H211b, H211PI - digital filters with orders dynamics=2, adaptivity=1, filter=1.

- H0312, H312b, H312PID - digital filters with orders dynamics=3, adaptivity=1, filter=2.

- H0321, H321 - digital filters with orders dynamics=3, adaptivity=2, filter=1.

## References

[Soderlind03]

Gustaf Söderlind. Digital filters in adaptive time-stepping. ACM Transactions on Mathematical Software (TOMS), 29(1):1–26, 2003.

[SoderlindW06]

Gustaf Söderlind and Lina Wang. Adaptive time-stepping and computational stability. Journal of Computational and Applied Mathematics, 185(2):225–243, 2006.

## See Also

TS: Scalable ODE and DAE Solvers, `TSADAPTDSP`, `TS`, `TSAdapt`, `TSGetAdapt()`, `TSAdaptDSPSetPID()`

## Level

intermediate

## Location

src/ts/adapt/impls/dsp/adaptdsp.c

## Implementations

TSAdaptDSPSetFilter_DSP() in src/ts/adapt/impls/dsp/adaptdsp.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages